#ifndef _IsSpam_Header
#define _IsSpam_Header
enum {
	ISSPAM_NOTIFY	= 0x0000,
	ISSPAM_SUSPECT	= 0x0001,
	ISSPAM_SPAM		= 0x0002,
	ISSPAM_DELETE	= 0x0004
};
/* define new types BEFORE! 'SPAM_TYPE_END' */
enum {
	SPAM_TYPE_ADVERT, SPAM_TYPE_PORN, SPAM_TYPE_SCAM, SPAM_TYPE_VIRUS,
	SPAM_TYPE_BOT, SPAM_TYPE_END
};

typedef struct spam_type_list {
	char *name;
	long type;
} SpamType;

#ifndef _IsSpam_Main
	/* NOTE: last entry in array is {NULL,0} */
	extern SpamType _SpamTypes[];
	/* WARNING: type for _isSpamFlags[0] is also 0 */
	extern SpamType _isSpamFlags[];
#endif

int validatecrc(char *crc,int *body);

#endif
